org.h2gis.functions.spatial.affine_transformations

## Class ST_Translate

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.affine_transformations.ST_Translate

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_Translate
    extends org.h2gis.api.DeterministicScalarFunction

Translates a geometry using X, Y (and possibly Z) offsets.

Author:
  Erwan Bocher, Adam Gouge

### Field Summary

Fields
`static String` `MIXED_DIM_ERROR`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_Translate()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static com.vividsolutions.jts.geom.Geometry` `translate(com.vividsolutions.jts.geom.Geometry geom, double x, double y)` Translates a geometry using X and Y offsets.
`static com.vividsolutions.jts.geom.Geometry` `translate(com.vividsolutions.jts.geom.Geometry geom, double x, double y, double z)` Translates a geometry using X, Y and Z offsets.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Field Detail

#### MIXED_DIM_ERROR

    public static final String MIXED_DIM_ERROR

See Also:
  Constant Field Values

### Constructor Detail

#### ST_Translate

    public ST_Translate()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### translate

    public static com.vividsolutions.jts.geom.Geometry translate(com.vividsolutions.jts.geom.Geometry geom,
                                                                 double x,
                                                                 double y)

Translates a geometry using X and Y offsets.

Parameters:
  `geom` - Geometry
  `x` - X
  `y` - Y
Returns:
  Translated geometry

#### translate

    public static com.vividsolutions.jts.geom.Geometry translate(com.vividsolutions.jts.geom.Geometry geom,
                                                                 double x,
                                                                 double y,
                                                                 double z)

Translates a geometry using X, Y and Z offsets.

Parameters:
  `geom` - Geometry
  `x` - X
  `y` - Y
  `z` - Z
Returns:
  Translated geometry